using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AdvancedToolStrip
{
    public partial class FloatingForm : Form
    {
        public event EventHandler DockingRequested;

        private const int WM_NCLBUTTONDBLCLK = 0xA3;

        protected override void WndProc(ref Message m)
        {
            switch (m.Msg)
            {
                case WM_NCLBUTTONDBLCLK:
                    Fire_DockingRequested();
                    break;
            }
            base.WndProc(ref m);
        }

        void Fire_DockingRequested()
        {
            if (DockingRequested != null)
                DockingRequested(this, new EventArgs());
        }

        public FloatingForm()
        {
            InitializeComponent();
        }
    }
}